---
lang: en
title: 'API docs: service-proxy.class'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.class.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [Class](./service-proxy.class.md)

## Class interface

Interface for classes with `new` operator.

<b>Signature:</b>

```typescript
export interface Class<T> 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [(new)(args)](./service-proxy.class._new_.md) |  |


